Debian Bug report logs - #407654
O: slidentd -- minimal ident (RfC 1413) daemon

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: daniel@debian.org

Date: Sat, 20 Jan 2007 11:33:02 UTC

Severity: normal

Fixed in version slidentd/1.0.0-6

Done: davidsmith@acm.org (David D. Smith)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: O: slidentd -- minimal ident (RfC 1413) daemon
Date: Sat, 20 Jan 2007 12:19:29 +0100
Package: wnpp

I'm orphaning slidentd due to lack of interest in this package.

This package is in good shape and is trivial, makes it
ideal for any New Maintainer. In case a non-DD maintainer wants
to take this package over, I'll offer to sponsor it.

If there is no new maintainer within about two weeks, I'm going to
request its removal.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: slidentd
Priority: extra
Section: net
Installed-Size: 136
Maintainer: Daniel Baumann <daniel@debian.org>
Architecture: i386
Version: 1.0.0-4
Provides: ident-server
Depends: adduser, netbase
Conflicts: ident-server
Filename: pool/main/s/slidentd/slidentd_1.0.0-4_i386.deb
Size: 30290
MD5sum: 2dbe94be4be1cd27b8e314bdde8e589e
SHA1: f9d9761b2e1846b853702817b717afc3b7c956a3
SHA256: 1aa7070f9f4b8ba1e62677779185908b4ab99a97b9f2130e4a91fe64ae61dc97
Description: minimal ident (RfC 1413) daemon
 It is similar in the purpose to pidentd but with different design
 goals. It's a very small and simple daemon that would not give out any
 sensitive information. In this regard it is not RFC compliant (RFC 1413
 requires the daemon to be insecure by default).
 .
 slidentd is statically compiled (with dietlibc) and quite small (~2kb).
Tag: interface::daemon, network::server, protocol::ident, role::program

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Smith" <davidsmith@acm.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 407654@bugs.debian.org (full text, mbox):

From: "David Smith" <davidsmith@acm.org>
To: 407654@bugs.debian.org
Subject: Re: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 01:33:16 +0900
[Message part 1 (text/plain, inline)]
retitle 407654 ITA: slidentd -- minimal ident (RFC 1413) daemon

Hi Daniel,

I'm a happy slidentd user and would be glad to take over
maintaining the package. I've built a new package that fixes
#376543 and includes some syntatic improvements to the man
pages so that they should render better. I uploaded it to
mentors.debian.net. I seek sponsorship if the package is
acceptable.

Thanks,
-- 
=========================================================
  David D. Smith <davidsmith at acm.org>
Jabber/GoogleTalk: dds at jabber.org ; GPG: 0xE6511C7E
IRC: dds on irc.freenode.net ; MSN: dds4418 at hotmail.com
==========================================================
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 407654@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: David Smith <davidsmith@acm.org>, 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Wed, 07 Feb 2007 18:46:18 +0100
David Smith wrote:
> Hi Daniel,

Hi,

> I'm a happy slidentd user and would be glad to take over
> maintaining the package.

Good, thanks a lot.

> I've built a new package that fixes
> #376543 and includes some syntatic improvements to the man
> pages so that they should render better. I uploaded it to
> mentors.debian.net. I seek sponsorship if the package is
> acceptable.

The package is fine. However, just wondering, as I did use dpatch to do
the upstream modifications, it would be more beautiful if you do so with
the manpage corrections too, or, drop dpatch completely and replace it
with the patch management system you prefere (or to even not use a patch
management system at all).

Let me know how you intend to do it, and I'm happy to sponsor the package.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Smith" <davidsmith@acm.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 407654@bugs.debian.org (full text, mbox):

From: "David Smith" <davidsmith@acm.org>
To: daniel@debian.org
Cc: 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 15:04:21 +0900
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel@debian.org> writes:

> The package is fine. However, just wondering, as I did use dpatch to do
> the upstream modifications, it would be more beautiful if you do so with
> the manpage corrections too, or, drop dpatch completely and replace it
> with the patch management system you prefere (or to even not use a patch
> management system at all).
>
> Let me know how you intend to do it, and I'm happy to sponsor the package.

I agree using dpatch is better so I've made the appropriate
changes and reuploaded. I'm a big fan of darcs and am
evaluating darcs-buildpackage but for now, just using dpatch is
definitely better than directly modifying the source.

Thanks,
-- 
=========================================================
  David D. Smith <davidsmith at acm.org>
Jabber/GoogleTalk: dds at jabber.org ; GPG: 0xE6511C7E
IRC: dds on irc.freenode.net ; MSN: dds4418 at hotmail.com
==========================================================
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 407654@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: David Smith <davidsmith@acm.org>, 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 08:36:24 +0100
David Smith wrote:
> I agree using dpatch is better so I've made the appropriate
> changes and reuploaded. I'm a big fan of darcs and am
> evaluating darcs-buildpackage but for now, just using dpatch is
> definitely better than directly modifying the source.

everything good, except that your orig.tar.gz doesn't match the one in
the archive. please rebuild.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Smith" <davidsmith@acm.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 407654@bugs.debian.org (full text, mbox):

From: "David Smith" <davidsmith@acm.org>
To: daniel@debian.org
Cc: 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 18:19:35 +0900
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel@debian.org> writes:

> David Smith wrote:
>> I agree using dpatch is better so I've made the appropriate
>> changes and reuploaded. I'm a big fan of darcs and am
>> evaluating darcs-buildpackage but for now, just using dpatch is
>> definitely better than directly modifying the source.
>
> everything good, except that your orig.tar.gz doesn't match the one in
> the archive. please rebuild.
>

Heh, let's try that one more time. I've reuploaded to mentors
and I've verified the same package from my personal archive at
http://bosabosa.org/~dds/debian/ . If mentors is still fubared
please try the bosabosa archive.
-- 
=========================================================
  David D. Smith <davidsmith at acm.org>
Jabber/GoogleTalk: dds at jabber.org ; GPG: 0xE6511C7E
IRC: dds on irc.freenode.net ; MSN: dds4418 at hotmail.com
==========================================================
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 407654@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: David Smith <davidsmith@acm.org>
Cc: 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 10:36:19 +0100
David Smith wrote:
> Heh, let's try that one more time. I've reuploaded to mentors
> and I've verified the same package from my personal archive at
> http://bosabosa.org/~dds/debian/ . If mentors is still fubared
> please try the bosabosa archive.

still wrong on both sites:

the one in debian:
59b89db95d447262894c5a56bd24ec04  slidentd_1.0.0.orig.tar.gz

the one from you:
16e443115ee48aadfd75deef9ebac624  slidentd_1.0.0.orig.tar.gz

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Smith" <davidsmith@acm.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 407654@bugs.debian.org (full text, mbox):

From: "David Smith" <davidsmith@acm.org>
To: daniel@debian.org
Cc: 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 20:14:40 +0900
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel@debian.org> writes:

> David Smith wrote:
>> Heh, let's try that one more time. I've reuploaded to mentors
>> and I've verified the same package from my personal archive at
>> http://bosabosa.org/~dds/debian/ . If mentors is still fubared
>> please try the bosabosa archive.
>
> still wrong on both sites:
>
> the one in debian:
> 59b89db95d447262894c5a56bd24ec04  slidentd_1.0.0.orig.tar.gz
>
> the one from you:
> 16e443115ee48aadfd75deef9ebac624  slidentd_1.0.0.orig.tar.gz

I see. The md5sum of the file is different because the
timestamps inside the tarball are different, and the timestamps
are different because I'm using darcs-buildpackage which when
you tell it to make an upstream tarball, checks it out of the
darcs repository it created for upstream sources. So while
diff won't show you any difference, the md5sum will. I hadn't
thought of that.

And I guess darcs-buildpackage was just not expecting to have
to handle this situation of needing to publish a original
source tarball without actually having any changes inside it,
as would be the case with an upload to mentors.debian.net.

Since this seems to be a special case, I've rebuilt the package
by hand with the current source tarball and my debian
directory and the next time a package needs to be made
using darcs-buildpackage should not produce any problems. I
will check with John Goerzen if my understanding of the problem
is accurate and if there is any solution.

Sorry for going back and forth but please take another look
again,
-- 
=========================================================
  David D. Smith <davidsmith at acm.org>
Jabber/GoogleTalk: dds at jabber.org ; GPG: 0xE6511C7E
IRC: dds on irc.freenode.net ; MSN: dds4418 at hotmail.com
==========================================================
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407654; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #45 received at 407654@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: David Smith <davidsmith@acm.org>
Cc: 407654@bugs.debian.org
Subject: Re: Bug#407654: O: slidentd -- minimal ident (RFC 1413) daemon
Date: Thu, 08 Feb 2007 12:25:48 +0100
David Smith wrote:
> Sorry for going back and forth but please take another look
> again,

good, uploaded, thanks.

if you want/need further sponsoring, don't hesiate to ask me again.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Reply sent to davidsmith@acm.org (David D. Smith):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 407654-close@bugs.debian.org (full text, mbox):

From: davidsmith@acm.org (David D. Smith)
To: 407654-close@bugs.debian.org
Subject: Bug#407654: fixed in slidentd 1.0.0-6
Date: Thu, 08 Feb 2007 11:32:06 +0000
Source: slidentd
Source-Version: 1.0.0-6

We believe that the bug you reported is fixed in the latest version of
slidentd, which is due to be installed in the Debian FTP archive:

slidentd_1.0.0-6.diff.gz
  to pool/main/s/slidentd/slidentd_1.0.0-6.diff.gz
slidentd_1.0.0-6.dsc
  to pool/main/s/slidentd/slidentd_1.0.0-6.dsc
slidentd_1.0.0-6_i386.deb
  to pool/main/s/slidentd/slidentd_1.0.0-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407654@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David D. Smith <davidsmith@acm.org> (supplier of updated slidentd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  8 Feb 2007 00:50:43 +0900
Source: slidentd
Binary: slidentd
Architecture: source i386
Version: 1.0.0-6
Distribution: unstable
Urgency: low
Maintainer: David D. Smith <davidsmith@acm.org>
Changed-By: David D. Smith <davidsmith@acm.org>
Description: 
 slidentd   - minimal ident (RFC 1413) daemon
Closes: 376543 407654
Changes: 
 slidentd (1.0.0-6) unstable; urgency=low
 .
   * New maintainer (Closes: #407654)
   * Updated postrm to correctly remove stale inetd entry (Closes: #376543)
   * Cleaned up the man pages to not force long lines.
Files: 
 9567ffd71c9c11788da71c7df5f8bd6d 598 net extra slidentd_1.0.0-6.dsc
 aaff708fe6ba7e826afcb6d4c2abc859 5139 net extra slidentd_1.0.0-6.diff.gz
 3b38aa04dd479ada9b893331bd2890a0 30456 net extra slidentd_1.0.0-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFywiO+C5cwEsrK54RAvo+AJoDZNqlveY1EAz1IPHwJyT/wgKUEACfReyH
FJi5TFLpSO8f7vpCBkn8ob0=
=Ce4m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:52:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:07:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.